$(document).ready(function () {
//    $("body").on('click', '.schltab', tableval);
    $("body").on('keyup change', '.tsearch', searchschl);
    $("body").on('click', '#acheck', allcheck);
    $("body").on('change', '.medium, .exam , .center, .city, .orderby', getmodal);

    $('#view').click(function () {
        getmodal();
    });

    function allcheck() {
        $(".mcheck").prop('checked', $(this).prop('checked'));
    }

    function getmodal() {
        var medium = $('.medium').val(),
                center = $('.center').val(),
                exam = $('.exam').val(),
                city = $('.city').val(),
                orderby = $('.orderby').val();
        $(".iloader").show();
        $.post('getenvlp_mult.php', {medium: medium, center: center, city: city, exam: exam, orderby: orderby}, function (data) {
            $('.mydata').html(data);
            $(".iloader").hide();
        });
    }

//    $("#schlmodal").on('shown.bs.modal', function () {
//        $(".tsearch").val("");
//        $(".tsearch").focus();
//        searchschl();
//    });

    function searchschl() {
        var search = $(".tsearch").val(),
                medium = $('.medium').val(),
                center = $('.center').val(),
                exam = $('.exam').val(),
                city = $('.city').val(),
                orderby = $('.orderby').val();
        $(".iloader").show();
        $.post('getschool_envlp.php', {search: search,medium: medium, center: center, city: city, exam: exam, orderby: orderby}, function (data) {
            $(".myTable").html(data);
            $(".iloader").hide();

        });
    }

    function tableval() {
        var tr = $(this).closest("tr");
        var cust = tr.find(".scust").val(),
                accode = tr.find(".accode").val(),
                med = tr.find(".medium").val();
        $(".custcode").val(cust);
        $(".school").val(accode).trigger('change');
        $(".medium").val(med).trigger('change');
        $("#schlmodal").modal("hide");
        $(".medium").focus();
    }





    //////////////////////////////////////////////Search Part - End  //////////////////////////////////////////////
});